cURL
curl --request PATCH \ --url https://api.wellapp.ai/v1/workspaces/{id} \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --data ' { "data": { "type": "<string>", "attributes": { "name": "<string>", "description": "<string>" }, "relationship": { "owner": {} }, "included": { "owner": {} } } } '
{ "data": { "type": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "attributes": { "name": "<string>", "desription": "<string>", "external_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "avatar_color": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "relationships": { "owner": { "data": { "type": "<string>", "id": "<string>" } } }, "included": [ { "type": "<string>", "id": "temp-people1", "attributes": { "first_name": "John", "last_name": "Doe", "full_name": "John Doe", "created_at": "<string>", "updated_at": "<string>" } } ] } }
Update an existing workspace record
Documentation IndexFetch the complete documentation index at: https://docs.wellapp.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.wellapp.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token for authentication
UUID of the workspace to update
Show child attributes
Workspace updated successfully